"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const store_js_1 = require("../../store.js");
const utils_js_1 = require("../../utils.js");
const StaticGeschichteProvider = ({ search, children, }) => {
    const thisSearch = (0, react_1.useRef)(search);
    const historyInstance = (0, react_1.useMemo)(() => {
        return {
            initialSearch: () => thisSearch.current || '',
            push: async (query) => {
                thisSearch.current = (0, utils_js_1.createSearch)(query);
                return;
            },
            replace: async (query) => {
                thisSearch.current = (0, utils_js_1.createSearch)(query);
                return;
            },
        };
    }, [thisSearch]);
    const value = (0, react_1.useMemo)(() => (0, store_js_1.createGeschichte)(historyInstance), [historyInstance]);
    return react_1.default.createElement(store_js_1.StoreContext.Provider, { value: value }, children);
};
exports.default = (0, react_1.memo)(StaticGeschichteProvider);
